| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_variance_example_f32.c File Reference

## Macros

#define | MAX_BLOCKSIZE
#define | DELTA

## Functions

int32_t | main (void)

## Variables

float32_t | wire1 [MAX_BLOCKSIZE]
float32_t | wire2 [MAX_BLOCKSIZE]
float32_t | wire3 [MAX_BLOCKSIZE]
float32_t | testInput_f32 [32]
uint32_t | blockSize
float32_t | refVarianceOut

## Macro Definition Documentation

#define DELTA

Referenced by main().

#define MAX_BLOCKSIZE

## Function Documentation

int32_t main | ( | void |  | ) |

References arm_copy_f32(), arm_dot_prod_f32(), arm_fill_f32(), ARM_MATH_SUCCESS, ARM_MATH_TEST_FAILURE, arm_mult_f32(), arm_sub_f32(), blockSize, DELTA, mean, refVarianceOut, status, testInput_f32, wire1, wire2, and wire3.

## Variable Documentation

uint32_t blockSize

float32_t refVarianceOut

Examples:
  arm_variance_example_f32.c.

Referenced by main().

float32_t testInput_f32[32]

float32_t wire1[MAX_BLOCKSIZE]

float32_t wire2[MAX_BLOCKSIZE]

float32_t wire3[MAX_BLOCKSIZE]